Model definitions
List model definitions
List curated model definitions with a registered offering.
GET
List model definitions
Authorizations
Organization API key for application requests.
List model definitions
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List curated model definitions with a registered offering.
curl --request GET \
--url https://api.getmillwork.dev/v1/model-definitions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"models": [
{
"capabilities": [
"<string>"
],
"family": "<string>",
"lifecycle": "preview",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"release_license": {
"commercial_use": "allowed",
"evidence_ref": "<string>",
"identifier": "<string>"
}
}
],
"schema_version": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Organization API key for application requests.
curl --request GET \
--url https://api.getmillwork.dev/v1/model-definitions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"models": [
{
"capabilities": [
"<string>"
],
"family": "<string>",
"lifecycle": "preview",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"release_license": {
"commercial_use": "allowed",
"evidence_ref": "<string>",
"identifier": "<string>"
}
}
],
"schema_version": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}